Bug 1310647 - (CVE-2016-2510) CVE-2016-2510 bsh2: remote code execution via deserialization
CVE-2016-2510 bsh2: remote code execution via deserialization
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160222,repo...
: Security
Depends On: 1329398 1310940 1310946 1312170 1312171 1312172 1312173 1312174 1312175 1312176 1312177 1329400 1329401 1329402
Blocks: 1385169 1310650 1335310 1340536 1379523 1381801
  Show dependency treegraph
 
Reported: 2016-02-22 07:25 EST by Andrej Nemec
Modified: 2018-05-10 14:16 EDT (History)
40 users (show)

See Also:
Fixed In Version: bsh2 2.0b6
Doc Type: Bug Fix
Doc Text:
A deserialization flaw allowing remote code execution was found in the BeanShell library. If BeanShell was on the classpath, it could permit code execution if another part of the application deserialized objects involving a specially constructed chain of classes. A remote attacker could use this flaw to execute arbitrary code with the permissions of the application using the BeanShell library.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-22 07:25:56 EST
An application that includes BeanShell on the classpath may be vulnerable if another part of the application uses Java serialization or XStream to deserialize data from an untrusted source.

A vulnerable application could be exploited for remote code execution, including executing arbitrary shell commands.

External references:

https://github.com/beanshell/beanshell/releases/tag/2.0b6

Upstream patches:

https://github.com/beanshell/beanshell/commit/7c68fde2d6fc65e362f20863d868c112a90a9b49

https://github.com/beanshell/beanshell/commit/1ccc66bb693d4e46a34a904db8eeff07808d2ced
Comment 6 errata-xmlrpc 2016-03-30 14:16:20 EDT
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.2.2

Via RHSA-2016:0539 https://rhn.redhat.com/errata/RHSA-2016-0539.html
Comment 7 errata-xmlrpc 2016-03-30 14:34:43 EDT
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.2.2

Via RHSA-2016:0540 https://rhn.redhat.com/errata/RHSA-2016-0540.html
Comment 11 errata-xmlrpc 2016-05-26 15:25:50 EDT
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization security and bug fix update

Via RHSA-2016:1135 https://access.redhat.com/errata/RHSA-2016:1135
Comment 12 errata-xmlrpc 2016-06-30 17:08:17 EDT
This issue has been addressed in the following products:

  Red Hat JBoss SOA Platform 5.3.1

Via RHSA-2016:1376 https://access.redhat.com/errata/RHSA-2016:1376
Comment 15 errata-xmlrpc 2016-10-06 12:20:02 EDT
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.3

Via RHSA-2016:2035 https://rhn.redhat.com/errata/RHSA-2016-2035.html

Note You need to log in before you can comment on or make changes to this bug.